---
- name: Test default with include tasks
  hosts: all
  vars:
    __sshd_test_backup_files:
      - /etc/ssh/sshd_config
      - /etc/ssh/sshd_config.d/00-ansible_system_role.conf
  tasks:
    - name: "Backup configuration files"
      ansible.builtin.include_tasks: tasks/backup.yml

    - name: "Configure sshd"
      ansible.builtin.include_role:
        name: fedora.linux_system_roles.sshd

    - name: "Restore configuration files"
      ansible.builtin.include_tasks: tasks/restore.yml
